MONGOC_SOCKET_SETSOCKOPT(3)

NAME
mongoc_socket_setsockopt() - This is a helper function for setsockopt().

SYNOPSIS

int
mongoc_socket_setsockopt (mongoc_socket_t *sock,
                          int              level,
                          int              optname,
                          const void      *optval,
                          socklen_t        optlen);

PARAMETERS

sock
    A mongoc_socket_t \&.

level
    A sockopt level.

optname
    A sockopt name.

optval
    A the value for the sockopt.

optlen
    A socklen_t that contains the length of optval.

DESCRIPTION

This is a helper function for setsockopt(3) \&.

RETURNS

0 on success, -1 on failure and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.